Module
Inhalte
Index 🔎︎

# Anweisung On Error GoTo ... Resume

Verzweigt nach dem Auftreten eines Fehlers während der Programmausführung in eine Fehlerbehandlungsroutine oder setzt die Programmausführung fort.

## Syntax:

    On {[Local] Error GoTo Labelname | GoTo 0 | Resume Next}

## Parameter:

GoTo Labelname: Beim Auftreten eines Fehlers wird die Fehlerbehandlungsroutine aufgerufen, die an der Zeile "Labelname" beginnt.

Resume Next: Beim Auftreten eines Fehlers wird die Programmausführung mit derjenigen Anweisung fortgesetzt, die auf die Anweisung folgt, in der der Fehler aufgetreten ist.

GoTo 0: Deaktiviert die Fehlerbehandlung in der aktuellen Prozedur.

Local: "On error" ist global im Gültigkeitsbereich, und bleibt aktiv, bis es durch ein anderes "On error" Statement ersetzt wird. "On Local error" ist lokal in Bezug auf die Routine, die es aufgerufen hat. Eine lokale Fehlerbehandlung überschreibt jede vorherige globale Einstellung. Wenn die aufrufende Routine beendet wird, wird die lokale Fehlerbehandlung automatisch beendet und die vorherige globale Einstellung wieder hergestellt.

Die Anweisung "On Error GoTo" wird verwendet, um auf Fehler, die während der Ausführung eines Makros auftreten, zu reagieren.

## Beispiel:

    Sub ExampleReset

    On Error GoTo ErrorHandler

    Dim iNumber As Integer

    Dim iCount As Integer

    Dim sLine As String

    Dim aFile As String

        aFile = "c:\data.txt"

        iNumber = Freefile

        Open aFile For Output As #iNumber

        Print #iNumber, "Das ist eine Zeile Text"

        Close #iNumber

        iNumber = Freefile

        Open aFile For Input As iNumber

        For iCount = 1 To 5

            Line Input #iNumber, sLine

            If sLine <>"" Then

                Rem

            End If

        Next iCount

        Close #iNumber

        Exit Sub

    ErrorHandler:

        Reset

        MsgBox "Alle Dateien werden geschlossen",0,"Fehler"

    End Sub